QGIS Application - Bug report #16782

Edited username or password details for WMS set up through browser panel not used until QGIS is
closed and reopened

2017-07-03 10:52 AM - Rebecca Paliwoda

Status: Open

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:3.2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24681
Description

After setting up a WMS feed through the browser panel in QGIS Desktop, any changes made to the username and password details will
not be used until QGIS is quit and reopened.

To reproduce:

Open the Browser Panel.

Right-click WMS and select New Connection

Enter any name for the WMS name

Enter the URL for a WMS that requires known username and password details

Enter the wrong details for username and/or password in the username and password fields.

Attempt to add a layer from the WMS; the layer should be added but not return any imagery (due to the incorrect password supplied)
Remove the added layer

Edit the WMS previously set up and correct the username and/or password details

Attempt to add a layer from the WMS; if the first attempt to add the WMS failed, this one will, too, even though the WMS as set up in the
Browser Panel now has the correct details

Quit QGIS Desktop

Open QGIS Desktop

Add WMS from Browser Panel; should now work (assuming correct username and password details supplied)

History

#1 - 2017-07-06 03:42 PM - Giovanni Manghi

- Operating System deleted (Windows 10)

- Subject changed from QGIS Desktop: edited username or password details for WMS set up through browser panel not used until QGIS is closed and
reopened to Edited username or password details for WMS set up through browser panel not used until QGIS is closed and reopened

#2 - 2018-07-25 12:32 AM - Alexandre Neto

| am seeing the same behavior with the WFS connections. After you create a connection, any changes to the WFS connection options are not applied when
using the Browser panel.

On the other hand, if after that you open the connection using the "Add WFS layer" button, the changes are applied as expected.

| was able to replicate this on QGIS 2.18.20 and QGIS 3.2. | haven't tried on master.

#3 - 2018-07-25 08:55 AM - Giovanni Manghi
- Affected QGIS version changed from 2.18.10 to 3.2
